Bug 1006071 - Front Page doesn't show query links for two categories
Front Page doesn't show query links for two categories
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 19:38 EDT by Jason McDonald
Modified: 2014-10-12 18:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.4.0009
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 20:46:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason McDonald 2013-09-09 19:38:17 EDT
Description of problem:
https://bugzilla.redhat.com/frontpage.cgi shows a variety of useful query results.  For most of the result sets, the listing is preceded by a line of the form:

    21 bugs found. (show list) (back to top)

....where the items in brackets are links.  The first link is a Bugzilla query url, such as:

    https://bugzilla.redhat.com/buglist.cgi?bug_status=__open__&email1=myusername%40mydomain.com&emailqa_contact1=1&emailtype1=exact

However, for two of the categories, the bug count and the first link is missing.  The categories concerned are titled "Open Issues with Flags Requested of You" and "Open Issues with Flags You Have Requested".

These categories should be consistent with the others in exposing the underlying query.  Incidentally, two users have recently asked me for those queries, and I came to this page looking for them, only to be blocked by this bug.

Version-Release number of selected component (if applicable):
4.4.0007

How reproducible:
Always

Steps to Reproduce:
1. Login into https://bugzilla.redhat.com/
2. Click on the "Front Page" link
3. Scroll down to "Open Issues: You Are QA Contact"
4. Observe the text "0 bugs found. (show list) (back to top)" above the table.
5. Scroll down a little further to "Open Issues with Flags Requested of You"
6. Observe that only "(back to top)" link is shown. above the table

Actual results:
The two categories named above are missing the bug count and "show list" link.

Expected results:
All categories should show the bug count and "show list" link.

Additional info:
none.
Comment 1 Simon Green 2013-09-09 21:50:23 EDT
(In reply to Jason McDonald from comment #0)
> These categories should be consistent with the others in exposing the
> underlying query.  Incidentally, two users have recently asked me for those
> queries, and I came to this page looking for them, only to be blocked by
> this bug.

There is no underlying query, so the link will be a hardcoded list of bug ids (similar to what is seen on the dependency tree page)

  -- simon
Comment 3 Simon Green 2013-10-03 20:46:01 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.